---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "20"
  version: 8100020260415210249
  context: 9edba152
  arch: x86_64
  summary: Javascript runtime
  description: "Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.        "
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 287f218aae63cb61039a6da2b705c25c79f1eef5
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 40f167e8a1227b3e38871953ce77d819944b31ec
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 7b1e73e0818ebe91a3c86bb64f229c018afe7979
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:20.20.2-1.module_el8.10.0+4165+3f200bda.src
    - nodejs-1:20.20.2-1.module_el8.10.0+4165+3f200bda.x86_64
    - nodejs-debuginfo-1:20.20.2-1.module_el8.10.0+4165+3f200bda.x86_64
    - nodejs-debugsource-1:20.20.2-1.module_el8.10.0+4165+3f200bda.x86_64
    - nodejs-devel-1:20.20.2-1.module_el8.10.0+4165+3f200bda.x86_64
    - nodejs-docs-1:20.20.2-1.module_el8.10.0+4165+3f200bda.noarch
    - nodejs-full-i18n-1:20.20.2-1.module_el8.10.0+4165+3f200bda.x86_64
    - nodejs-nodemon-0:3.0.1-1.module_el8.10.0+4007+01f7d99b.noarch
    - nodejs-nodemon-0:3.0.1-1.module_el8.10.0+4007+01f7d99b.src
    - nodejs-packaging-0:2021.06-6.module_el8.10.0+4165+3f200bda.noarch
    - nodejs-packaging-0:2021.06-6.module_el8.10.0+4165+3f200bda.src
    - nodejs-packaging-bundler-0:2021.06-6.module_el8.10.0+4165+3f200bda.noarch
    - npm-1:10.8.2-1.20.20.2.1.module_el8.10.0+4165+3f200bda.x86_64
...
